<?php

/*
Plugin Name: Page Builder Addons for WPBakery
Plugin URI: http://www.pagebuilderaddons.com
Description: Page Builder Addons for WPBakery are a pack of premium quality addons
Version: 1.4.2
Author: Genetech Solutions
Author URI: https://www.genetechsolutions.com/
Text Domain: genetech
*/


define( 'PLUGIN_DIR', 'vc-addons-by-bit14/' );
define('assets_url', plugin_dir_url(__FILE__) . 'assets/');
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
    if (is_plugin_active('page-builder-addons-premium/bit14-addons.php') ) {
        deactivate_plugins('page-builder-addons-premium/bit14-addons.php');
    }

//Call Before VC Init
add_action('vc_before_init','bit14_before_vc_init');


is_admin() && add_filter( 'gettext', 
    function( $translated_text, $untranslated_text, $domain )
    {
        $old = array(
            "Plugin <strong>activated</strong>.",
            "Selected plugins <strong>activated</strong>." 
        );

        $new = "<strong>Thanks for installing PB Addons!</strong>
<p>We hope you like the plugin. Check plugin Pro Elements from <a href='https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc'>here</a>.</p>
<p>PB Addons offers perpetual licensing - purchase once and use for a lifetime, no hassle or recurring periodic payments. <a href='https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc' target='_blank'>View Pricing</a></p>";

        if ( in_array( $untranslated_text, $old, true ) )
            $translated_text = $new;

        return $translated_text;
     }
, 99, 3 );

function bit14_before_vc_init(){

	$classes = array (
		'bit-counter-lists',
        'bit-iconic-list',
        'bit-headings',
        'bit-progress-bar',
		'bit-testimonial-lists',
        'bit-info-banner',
        'bit-pricing-table',
        'bit-pricing-table-child',
        'bit-helper',
        'bit-theme-font',
    );

	$folder = plugin_dir_path( __FILE__ ) . "classes/";

	foreach ( $classes as $class ) {

		$file = 'class-'.$class.'.php';
		include_once $folder.$file;
	}

}

function rtl_check(){    
    $toggle  = $_POST['rtl_check'];
    update_option( 'bit14_rtl_language', $toggle);
}
add_action( 'wp_ajax_rtl_check', 'rtl_check' );
add_action( 'wp_ajax_nopriv_rtl_check', 'rtl_check' );

// Admin Side Menu 
add_action( 'admin_menu', 'admin_menu');
function admin_menu() {
    add_menu_page(
        'Page Builder Addons',
        'Page Builder Addons',
        'manage_options',
        'page_builder_addons_main_menu',
        'addons_list_page' ,
        plugins_url(PLUGIN_DIR.'assets/images/pb_icon.png'),
        60
    );
    
    add_submenu_page(
        'page_builder_addons_main_menu',
        'Addons ',
        'Addons (Pro)',
        'manage_options',
        'page_builder_addons_main_menu',
        'addons_list_page'
    );
    add_submenu_page(
        'page_builder_addons_main_menu',
        'Custom Post Type',
        'Custom Post Type (Pro)',
        'manage_options',
        'page_builder_addons_sub_menu',
        'addons_list_page_cpt'
    );
    add_submenu_page(
        'page_builder_addons_main_menu',
        'Settings',
        'Settings',
        'manage_options',
        'page_builder_addons_settings',
        'addons_settings_page'
    );

}

//enqueue styles and scripts
add_action('wp_enqueue_scripts','bit14_vc_enqueue_scripts');

function bit14_vc_enqueue_scripts(){

	$assets_url = plugin_dir_url(__FILE__) . 'assets/';

	wp_enqueue_style( 'bit14-vc-addons-free', $assets_url.'css/style.css', false );
    wp_enqueue_style( 'pro-bit14-fontawesome', 'https://use.fontawesome.com/releases/v5.2.0/css/all.css' );
    wp_enqueue_script( 'pro-fontawesome', 'https://use.fontawesome.com/b844aaf4ff.js');
 
    if(get_option('bit14_rtl_language') === '1'){
        wp_enqueue_style( 'rtl', $assets_url.'css/rtl.css');
        wp_enqueue_script( 'rtl', $assets_url.'js/rtl.js');
    }
}

//enqueue styles and scripts admin
add_action('admin_enqueue_scripts','bit14_vc_admin_enqueue_scripts');
function bit14_vc_admin_enqueue_scripts(){

	$assets_url = plugin_dir_url(__FILE__) . 'assets/';

	wp_enqueue_script( 'bit14-vc-addons-free', $assets_url.'js/admin.js', array('jquery'), false );
	
	wp_enqueue_style( 'bit14-vc-addons-free', $assets_url.'css/admin.css');

	//wp_localize_script('bit14-vc-addons-free','assets_url',$assets_url);
}

//Plugin Menu Link
function add_action_links_free( $links, $file ) 
{
    if ( $file != plugin_basename( __FILE__ )){
        return $links;
    }
    
    $links[] = '<a style="color:#13ad11;font-weight:bold" target="_blank" href="https://pagebuilderaddons.com/plan-and-pricing/">'.__("Go Pro","page-builder").'</a>';
    return $links;
}

add_filter( 'plugin_action_links', 'add_action_links_free',10,2 );

// Notice For New Year
function pb_newyear_sale()
{
    $show_release_notice   = get_option( 'pb_pro_notice_newyear_sale' );
    
    if ( empty( $show_release_notice ) ) {
        
        ?>
        <div class="notice notice-info new-year-sale is-dismissible">
            <h2><?php echo __('New Year calls for a celebration.', 'bit14') ?></h2>
            <p><?php echo  __( 'Enjoy 30% Off on All Plans until 10th January. Use the Code <b>NY2021</b> at checkout.','bit14'); ?></p> 
            <a class="bit14-upgrade-to-pro" target="_blank" href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=admindashboard&utm_medium=notification&utm_campaign=2021"><?php echo __( 'Upgrade to Professional Plan','bit14'); ?></a></p> 
        </div>
        <script type="text/javascript">
            
            jQuery( '.new-year-sale' ).on( 'click', '.notice-dismiss', function() {		
                var data = {
                    action: 'dismiss_pb_newyear_sale'
                };
                jQuery.post( ajaxurl, data );
            });
        </script>
        <?php 
    }
}	
function dismiss_pb_newyear_sale()
{
    update_option( 'pb_pro_notice_newyear_sale', 'yes' );
}
add_action( 'admin_notices', 'pb_newyear_sale', 1 );
add_action( 'wp_ajax_dismiss_pb_newyear_sale', 'dismiss_pb_newyear_sale' );

function pb_leave_a_review_request_unpaid()
{
    $show_review_notice   = get_option( 'pb_review_request_delete' );
    if ( empty( $show_review_notice ) ) {				
        
        add_option('pb_install_date', current_time('mysql'));
        $install_date = get_option('pb_install_date');
        if (empty($install_date)) return;
        $diff = round((time() - strtotime($install_date)) / 24 / 60 / 60);
        
        if ($diff < 3) return;

        $review_url = 'https://wordpress.org/support/plugin/vc-addons-by-bit14/reviews/?filter=5';
        ?>
            <div class="notice notice-info pb-admin-notice is-dismissible">
                <p><?php echo  sprintf(
                        __( 'Hi there, we see you have been using Page Builder for a few days now, that is awesome! We hope you like it. We have a favor to ask, could you please %1$sreview us on WordPress?%2$s We like reading your feedback, and it helps us spread the word. Thank you.','page-builder'),
                        '<a href="' . $review_url . '" target="_blank">',
                        '</a>'
                    ); ?></p>
                <p>
                    <a href="<?php echo $review_url; ?>" target="_blank" id="pb_review_in_start" class="button button-primary">
                        <?php _e( 'Sure! I\'d love to give a review.', 'page-builder' ) ?>
                    </a>	&nbsp;
                    <a href="javascript:void(0);" class="button-secondary pb_review_in_link">
                        <?php _e( 'No thanks', 'page-builder' ) ?>
                    </a>
                </p>
            </div>
            <script type="text/javascript">
                jQuery(document).on('click', '#pb_review_in_start', function (e) {
                    jQuery(this).parents('.pb-admin-notice').find( '.notice-dismiss' ).trigger('click');
                });
                
                jQuery(document).on('click', '.pb_review_in_link', function (e) {
                    jQuery(this).parents('.pb-admin-notice').find( '.notice-dismiss' ).trigger('click');
                });
                
                jQuery( '.pb-admin-notice' ).on( 'click', '.notice-dismiss', function() {		
                    var data = {
                        action: 'dismiss_pb_leave_a_review_request_unpaid'
                    };
                    jQuery.post( ajaxurl, data );
                });
            </script>		
        <?php
    }	
}
        
function dismiss_pb_leave_a_review_request_unpaid()
{
    update_option( 'pb_review_request_delete', true );
}
add_action( 'admin_notices',  'pb_leave_a_review_request_unpaid', 1 );
add_action( 'wp_ajax_dismiss_pb_leave_a_review_request_unpaid', 'dismiss_pb_leave_a_review_request_unpaid' );


// add body class if before-header-widget is active
add_filter( 'body_class', 'body_class_before_header' );
function body_class_before_header( $classes ) {
    if(get_option( 'bit14_rtl_language') === '1'){
        $classes[] = 'bit14-rtl-content';
    }
    return $classes;
}

// Addons List Page Admin Side Menu
function addons_list_page(){
    ?>
    <div id="container"  class="bit14-admin-addons">
        <div class="heading">
            <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/images/pb-logo.png'); ?>" />
            <h1 class="title">PAGE BUILDER ADDONS - <span>PREMIUM</span></h1>
        </div>
        <div class="button-container">
            <a href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc" target="_blank" title="Page Builder Addons">Upgrade to Premium</a>
        </div>
           
            <div class="pagebuilder-addons">
              
                <div class="addons-list only-builder">
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/single-post.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Single Post</h3>
                                <p>List your blog post in different styles</p>
                                <a href="https://pagebuilderaddons.com/singlepost" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/single-page-navigator.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Single Page Navigator</h3>
                                <p>Use the navigator to scroll through sections on parallax website</p>
                                <a href="https://pagebuilderaddons.com/singlepagenavigator" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/pullquote.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Pull Quote</h3>
                                <p>Show an eye-catching quotation taken from the main text of an article</p>
                                <a href="https://pagebuilderaddons.com/pullquote" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/mailchimp.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Mailchimp</h3>
                                <p>Easily embed mailchimp into your webite</p>
                                <a href="https://pagebuilderaddons.com/mailchimp/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/flip-1.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Flip Box</h3>
                                <p>Show a content box with two sides</p>
                                <a href="https://pagebuilderaddons.com/flipbox/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/advance-pricing-table.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Pricing Table (Advance)</h3>
                                <p>Enable you to create a great advance pricing table with the least amount of effort.</p>
                                <a href="https://pagebuilderaddons.com/advance-pricing-table/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div> 
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/Accordions.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Accordions</h3>
                                <p>Great way to communicate text-heavy information in an elegant and condensed fashion while saving valuable space on your WordPress site</p>
                                <a href="https://pagebuilderaddons.com/accordions-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/button.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Buttons</h3>
                                <p>Provides unique and useful buttons designs</p>
                                <a href="https://pagebuilderaddons.com/buttons-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/count-down.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Countdown</h3>
                                <p>Easy to create countdown timers for Coming soon, Website Maintenance, Limited time offer, Event Announcement and Product launch</p>
                                <a href="https://pagebuilderaddons.com/countdown-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/clients.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Clients</h3>
                                <p>Displays your client’s logo on a page with their social profile links</p>
                                <a href="https://pagebuilderaddons.com/clients-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/com-table.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Compact Pricing Table</h3>
                                <p>Enable you to create a great pricing table with the least amount of effort</p>
                                <a href="https://pagebuilderaddons.com/compact-pricing-table-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/faq.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>FAQ</h3>
                                <p>Lets you create FAQs (frequently asked questions), organize FAQs and publicize your FAQ in no time</p>
                                <a href="https://pagebuilderaddons.com/faq-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/info-list.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Info List</h3>
                                <p>List company information, Important steps by using info list element</p>
                                <a href="https://pagebuilderaddons.com/info-list-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/iconic-box.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Icon Box</h3>
                                <p>Unleash your creativity with Icon Box</p>
                                <a href="https://pagebuilderaddons.com/icon-box/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/static-counter.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Business Hours</h3>
                                <p>Show your business hours, office opening hours table via business hours element</p>
                                <a href="https://pagebuilderaddons.com/opening-time-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/carousel.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Image Carousel</h3>
                                <p>Easily create beautiful & fancy image carousel just in minutes</p>
                                <a href="https://pagebuilderaddons.com/image-carousel-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/parallax.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Parallax Background</h3>
                                <p>Build attractive landing pages with parallax animations</p>
                                <a href="https://pagebuilderaddons.com/parallax-background-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/post-caroousel.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Post Carousel</h3>
                                <p>Showcase your post content in a nice looking slider to impress your visitors and make them reach your platform</p>
                                <a href="https://pagebuilderaddons.com/post-carousel-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/post-grid.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Posts Grid</h3>
                                <p>Beautiful grid and list of posts will make your WordPress site stand out and keep visitors engaged</p>
                                <a href="https://pagebuilderaddons.com/post-grid-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/services-02.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Services</h3>
                                <p>Show your website services in a creative way</p>
                                <a href="https://pagebuilderaddons.com/services-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/timeline.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Timeline</h3>
                                <p>Display your company timeline, Historical event, sales steps, and lots other with using elegant simple responsive Timeline element</p>
                                <a href="https://pagebuilderaddons.com/timeline-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/tab-single.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Tabs</h3>
                                <p>Easy and lightweight way to show content in tabs format</p>
                                <a href="https://pagebuilderaddons.com/tabs-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/team-members.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Team Members</h3>
                                <p>Display your team members details with their social profile links</p>
                                <a href="https://pagebuilderaddons.com/members-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/testimonials.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Testimonials</h3>
                                <p>Display Unlimited testimonials, reviews or quotes in multiple ways</p>
                                <a href="https://pagebuilderaddons.com/testimonials-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/services-02.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Video Gallery</h3>
                                <p>Easily upload and show videos of different formats (mp4, webM, ogv) and sizes in a grid form</p>
                                <a href="https://pagebuilderaddons.com/video-gallery-demo/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/dropcaps.jpg'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Drop Caps</h3>
                                <p>Increase the readability and enhance the styles of your content, making the first letter of the paragraph capital with the PB addons Drop Caps element.</p>
                                <a href="https://pagebuilderaddons.com/drop-caps/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/text-block.jpg'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Text Block</h3>
                                <p>Display and design the Text Content on your website with multiple styling options using the Text Block element.</p>
                                  <a href="https://pagebuilderaddons.com/text-block/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                    <div class="addon-container same-height">
                        <div class="addon-container-bg">
                            <div class="addon-img">
                                <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/addons-img/popup.png'); ?>"/>
                            </div>
                            <div class="addon-content">
                                <h3>Popup Modals</h3>
                                <p>Display user notifications, pop-ups and prompts in a beautiful layout on your webpage using the Pop-up Modal element.</p>
                                <a href="https://pagebuilderaddons.com/popup-modals/" target="_blank" title="View Demo">View Demo</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="sendin-blue">
                    <iframe width="360" height="700" src="https://66ac0bda.sibforms.com/serve/MUIEAFspdQFEHvhp9ApZ7LxrsNwIYPio9BkokJ4JOUnxo7zNwi-0Wk3Ya7buEraCpkU9IVk2O9ghe7EZNYN0eecaHxmmihNmU09wrT-TdX5EAesubJFFkvXQ_3zQawWKPE-xzbYDfNcpyabHsvRHqFPzY8l2opR-1iKIS-qv-84MGFahj34sTo-Bomz-vf7hNKyzbXcHdeCpBZmi" frameborder="0" scrolling="auto" allowfullscreen style="display: block;margin-left: auto;margin-right: auto;max-width: 100%;"></iframe>
                </div>
                <div class="moneyback-banner">
                    <div class="moneyback-container">
                        <div class="moneyback-content">
                            <h3>Upgrade to PRO for $29.99</h3>
                            <p>Run your next WordPress website with WPBakery Page Builder Addons</p>
                            <a href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc">Go Pro</a>
                        </div><!-- moneyback-content -->
                        <div class="moneyback-img">
                            <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/images/badge-screen.png'); ?>">
                        </div><!-- moneyback-img -->
                    </div><!-- moneyback-container -->
                </div><!-- moneyback-banner -->
        <?php
        }
// Addons List Page Custom Post Type for Admin Side Menu
function addons_list_page_cpt(){
    ?>
    <div id="container"  class="bit14-admin-addons">
        <div class="heading">
            <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/images/pb-logo.png'); ?>" />
            <h1 class="title">PAGE BUILDER ADDONS - <span>PREMIUM</span></h1>
        </div>
        <div class="button-container">
            <a href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc" target="_blank" title="Page Builder Addons">Upgrade to Premium</a>
        </div>
        <div class="moneyback-banner cpt">
            <div class="moneyback-container">
                <div class="moneyback-content">
                    <h3>Upgrade to PRO for $19.99</h3>
                    <p>Run your next WordPress website with WPBakery Page Builder Addons</p>
                    <a href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc">Go Pro</a>
                </div><!-- moneyback-content -->
                <div class="moneyback-img">
                    <img src="<?php echo plugins_url('vc-addons-by-bit14/assets/images/badge-screen.png'); ?>">
                </div><!-- moneyback-img -->
            </div><!-- moneyback-container -->
        </div><!-- moneyback-banner -->
        <div class="addons-list cpt-list">
            <h1 class="sub-title">Custom Post Type</h1>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/clients-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>Clients</h3>
                        <p>Displays your client’s logo on a page with their social profile links</p>
                    </div>
                </div>
            </div>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/faq-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>FAQ</h3>
                        <p>Lets you create FAQs (frequently asked questions), organize FAQs and publicize your FAQ in no time</p>
                    </div>
                </div>
            </div>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/members-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>Team Members</h3>
                        <p>Display your team members details with their social profile links</p>
                    </div>
                </div>
            </div>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/services-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>Services</h3>
                        <p>Show your website services in a creative way</p>
                    </div>
                </div>
            </div>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/testimonials-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>Testimonials</h3>
                        <p>Display Unlimited testimonials, reviews or quotes in multiple ways</p>
                    </div>
                </div>
            </div>
            <div class="addon-container">
                <div class="addon-container-bg">
                    <div class="addon-img">
                        <img src="<?php echo plugins_url(PLUGIN_DIR.'assets/addons-img/video-cpt.jpg'); ?>"/>
                    </div>
                    <div class="addon-content">
                        <h3>Video Gallery</h3>
                        <p>Easily upload and show videos of different formats (mp4, webM, ogv) and sizes in a grid form</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="button-container">
            <a href="https://pagebuilderaddons.com/plan-and-pricing/?utm_source=plugin-admindashboard&utm_medium=pluginadmin&utm_campaign=go_pro&utm_content=pbaddonsdoc" target="_blank" title="Page Builder Addons">Upgrade to Premium</a>
        </div>
    </div>
    <?php
}
function addons_settings_page(){
?>
 <div id="container"  class="bit14-admin">
     
    <div class="settings-content-wrapper">  
        <h1><?php _e("Settings",'bit14') ?></h1>
        <form method="post" action="" id="bit14_form_setting">
                <?php 
                $rtl_language = get_option( 'bit14_rtl_language');

                $rtl_is_checked = ($rtl_language == "1") ? "checked" : "" ;
                ?>
            <div class="settings-main-div">
                <div class="settings-heading">
                    <h2><?php _e("RTL Language",'bit14') ?></h2>
                </div>
                <div class="settings-field">
                    <input type="checkbox" <?php echo $rtl_is_checked ?> value
                    ="<?php echo $rtl_is_checked ?>" name="rtl_check" id="rtl_check"  class="settings-checkbox rtl-checkbox">
                   <label class="settings-label" for="rtl_check"><?php _e("RTL Language Enable/Disable",'bit14') ?></label>
                </div>
            </div>
            <div class="settings-main-div">
                <div class="settings-heading">
                    <h2><?php _e("Restricted Content",'bit14') ?></h2>
                </div>
                <div class="settings-field">
                    <input type="checkbox" name="restricted_check" id="restricted_check"  class="settings-checkbox restricted-checkbox" disabled>
                    <label class="settings-label" for="restricted_check"><?php _e("Restricted Content Enable/Disable",'bit14') ?></label>
                    <p class="desccription"><?php _e("This option is only available in the ",'bit14') ?><a href="https://pagebuilderaddons.com/plan-and-pricing/" target="_blank"><?php _e('Professional Plan') ?></a></p>
                </div>
            </div>
        </form>
    </div>  
 </div>
<?php
}